# Welcome to pygit2’s documentation!

Pygit2 is a set of Python bindings to the libgit2 shared library, libgit2 implements the core of Git. Pygit2 works with Python 3.5 - 3.8 and pypy.

Links:

- http://www.pygit2.org/ – Documentation
- https://github.com/libgit2/pygit2 – Source code and issue tracker
- https://pypi.python.org/pypi/pygit2 – Download
- https://github.com/libgit2/pygit2/blob/master/CHANGELOG.rst – Changelog
- https://github.com/libgit2/pygit2/blob/master/AUTHORS.rst – Authors

Start:

- Installation
- The development version
- pygit2 Recipes

Usage guide:

- General
- Backends
- Blame
- Branches
- Commit log
- Configuration files
- Diff
- Feature detection
- Index file & Working copy
- Mailmap
- Merge & Cherrypick
- Object IDs
- Objects
- References
- Remotes
- Repository
- Revision parsing
- Settings
- Submodules
- Worktrees

# Indices and tables

- Index